import ref = require('ref-napi');
import refStructDi = require('ref-struct-di');
declare const PactHandle: refStructDi.StructType<{
    pact: ref.Type<ref.Pointer<void>>;
}>;
declare const InteractionHandle: refStructDi.StructType<{
    pact: ref.Type<ref.Pointer<void>>;
    interaction: ref.Type<ref.Pointer<void>>;
}>;
export declare type FfiDeclarations = {
    pactffi_init: ['string', ['string']];
    pactffi_version: ['string', []];
    pactffi_free_string: ['void', ['string']];
    pactffi_verify: ['int', ['string']];
    pactffi_create_mock_server_for_pact: [
        'int',
        [
            typeof PactHandle,
            'string',
            'bool'
        ]
    ];
    pactffi_new_pact: [typeof PactHandle, ['string', 'string']];
    pactffi_new_interaction: [
        typeof InteractionHandle,
        [
            typeof PactHandle,
            'string'
        ]
    ];
    pactffi_upon_receiving: ['void', [typeof InteractionHandle, 'string']];
    pactffi_given: ['void', [typeof InteractionHandle, 'string']];
    pactffi_with_request: [
        'void',
        [
            typeof InteractionHandle,
            'string',
            'string'
        ]
    ];
    pactffi_with_query_parameter: [
        'void',
        [
            typeof InteractionHandle,
            'string',
            'int',
            'string'
        ]
    ];
    pactffi_with_header: [
        'void',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'int',
            'string'
        ]
    ];
    pactffi_with_body: [
        'void',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'string'
        ]
    ];
    pactffi_response_status: ['void', [typeof InteractionHandle, 'int']];
    pactffi_write_pact_file: ['int', ['int', 'string']];
    pactffi_cleanup_mock_server: ['bool', ['int']];
    pactffi_mock_server_mismatches: ['string', ['int']];
    pactffi_get_tls_ca_certificate: ['string', []];
};
export declare const declarations: FfiDeclarations;
export {};
