"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.declarations = void 0;
var ref = require("ref-napi");
var refStructDi = require("ref-struct-di");
var struct = refStructDi(ref);
var unknown = ref.types.void;
var pact = unknown;
var interaction = unknown;
var InteractionPtr = ref.refType(interaction);
var PactPtr = ref.refType(pact);
var PactHandle = struct({
    pact: PactPtr,
});
var InteractionHandle = struct({
    pact: PactPtr,
    interaction: InteractionPtr,
});
exports.declarations = {
    pactffi_init: ['string', ['string']],
    pactffi_version: ['string', []],
    pactffi_free_string: ['void', ['string']],
    pactffi_verify: ['int', ['string']],
    pactffi_create_mock_server_for_pact: ['int', [PactHandle, 'string', 'bool']],
    pactffi_new_pact: [PactHandle, ['string', 'string']],
    pactffi_new_interaction: [InteractionHandle, [PactHandle, 'string']],
    pactffi_upon_receiving: ['void', [InteractionHandle, 'string']],
    pactffi_given: ['void', [InteractionHandle, 'string']],
    pactffi_with_request: ['void', [InteractionHandle, 'string', 'string']],
    pactffi_with_query_parameter: [
        'void',
        [InteractionHandle, 'string', 'int', 'string'],
    ],
    pactffi_with_header: [
        'void',
        [InteractionHandle, 'int', 'string', 'int', 'string'],
    ],
    pactffi_with_body: ['void', [InteractionHandle, 'int', 'string', 'string']],
    pactffi_response_status: ['void', [InteractionHandle, 'int']],
    pactffi_write_pact_file: ['int', ['int', 'string']],
    pactffi_cleanup_mock_server: ['bool', ['int']],
    pactffi_mock_server_mismatches: ['string', ['int']],
    pactffi_get_tls_ca_certificate: ['string', []],
};
//# sourceMappingURL=declarations.js.map